Opened 6 years ago

Closed 6 years ago

#71 closed defect (fixed)

could not load ps plug-in

Reported by: vrwp Owned by:
Priority: Feedback Pending Component: qpdfview
Version: Keywords:
Cc:

Description

As soon as I open the settingspage (edit, settings) I get the error window critical: could not load ps plug-in. Already cleaned the home directory (deleted trolltech.ini and the qpdfview folder).

Change History (5)

comment:1 Changed 6 years ago by diver

  • Priority changed from minor to Feedback Pending

are you sure you use the right ghostscript? Paul's do not work afaik. I know we talked about that and he added the needed exports, but I don't know if he already released that. So the one mentioned in the readme works for sure.

comment:2 Changed 6 years ago by vrwp

Deleted the 8.71 I had installed, downloaded the version from netlabs and followed the readme, Installed gsdll23.dll in the c:\ecs\dll directory. No change. included the e:\gs\gs8.71\bin in the path statement and e:\gs\gs8.71\lib to libpath, same error message. Strange thing is that qpdfview works, only the error message if I open the settings.

comment:3 Changed 6 years ago by diver

Yes you are right. I forgot to reupload my Ghostscript package. I updated it by now. The needed dll is now called gsdll2.dll and my GS 8.71 can replace Pauls 8.71 completely. But his later GS still lacks some exports. He knows it and he will fix it in a next build.

comment:4 Changed 6 years ago by vrwp

Ok thanks! I have to put the gsdll2.dll in the qpf directory this also works. Using 8.71 version from Paul with epdf, don't know why but your version doesn't work with epdf. I have had that problem with other gs versions also. sometimes is works, sometimes it won't.

Just another question, if i add an annotation,choose highlight the text isn't displayed in the yellow bar, only if the mouse is above the bar. Would be nice if the added text would be displayed in the highlighted bar.

comment:5 Changed 6 years ago by diver

  • Resolution set to fixed
  • Status changed from new to closed

strange, as in theory my dll should work with everything. But i don't know epdf.

About the annotation part: there was and is some discussion on the QpdfView? homepage. If you feel it should be changed please add a ticket there.

Note: See TracTickets for help on using tickets.